<template>
	<view class="titleBox">
		<view class="title" :style="config.title.style ? styleobjTostring(config.title) : ''" >
			{{ config.title.text }}
		</view>
		<view class="title-time">
			<view v-if="config.publisher">
				<image :src="config.publisher.hear" />
				<view> {{ config.publisher.name || '' }} </view>
			</view>
			<view>{{ config.createTime }}</view>
		</view>
		<view class="content" v-if="config.type === 'image_text'">
			<rich-text v-if="config.content" type='text' :nodes='config.content' selectable='true'></rich-text>
			<view v-else> 暂无内容 </view>
		</view>

		<view class="content" v-if="config.type === 'video'">
			<video v-if="config.videoUrl" id="myVideo" class="videoes" :src="config.videoUrl" autoplay='true' show-fullscreen-btn controls='true'
					show-play-btn auto-pause-if-open-native></video>
			<view v-else> 暂无视频内容 </view>
		</view>
	</view>
</template>

<script lang="ts">
	import {
		Vue,
		Component,
		Prop,
		Watch
	} from "vue-property-decorator";
	
	@Component({})
	export default class ArticleCom extends Vue {


		@Prop({
			// 父组件传递给子组件的数据类型
			type: Object,

			// 是否必填
			required: false,

			// 默认值， 如果传入的是 Object，则要 default: ()=>({}) 参数为函数
			default: () => ({
				title: {
					text: ''
				}
			})
		}) config!: articleCom.config;

		onLoad() {
			// console.info(this.config)
		}

		// style
		styleobjTostring(style: any){
			let arr = []
			let obj = style.obj
			if(style.bg) obj['background-color'] = style.bg
			if(style.color) obj.color = style.color
			for(let key in obj){
				arr.push(`${key}: ${obj[key]}`)
			}
			return arr.join(';')
		}
	}
</script>

<style lang="scss" scoped>
$paddingVal: 30rpx;
.titleBox {
	background-color: #FFFFFF;
	min-height: 300rpx;
	margin-bottom: 30rpx;
}
.title {
	height: 50rpx;
	font-size: 32rpx;
	font-weight: 600;
	width: 100vw;
	padding: 10rpx $paddingVal;
}

.title-time {
	position: relative;
	> view {
		position: absolute;
		width:  345rpx;
	}
	> view:nth-child(1) {
		left: $paddingVal;
		image {
			width: 50rpx;
			height: 50rpx;
			border-radius: 50rpx;
		}
		view {
			font-size: 25rpx;	
		}
	}
	> view:nth-child(2) {
		right: $paddingVal;
		font-size: 20rpx;
		color: #222222;
		text-align: right;
	}
}

.content {
	min-height: 300rpx;
	width: 100vw;
	video{
		width: 690rpx;
		height: 388rpx;
		background:rgba(0,0,0,1);
		border-radius: 10rpx;
	}
	view {
		line-height: 300rpx;
		color: #222222;
		font-size: 30rpx;
		text-align: center;
	}
}
</style>
